package com.ruoyi.system.service;

import com.ruoyi.system.domain.PoNotice;

import java.util.List;

/**
 * 公告 服务层
 *
 * @author ruoyi
 */
public interface IPoNoticeService {
    /**
     * 查询公告信息
     *
     * @param newsId 公告ID
     * @return 公告信息
     */
    PoNotice selectPoNoticeById(Long newsId);

    /**
     * 查询公告列表
     *
     * @param poNotice 公告信息
     * @return 公告集合
     */
    List<PoNotice> selectPoNoticeList(PoNotice poNotice);

    /**
     * 新增公告
     *
     * @param poNotice 公告信息
     * @return 结果
     */
    int insertPoNotice(PoNotice poNotice);

    /**
     * 修改公告
     *
     * @param poNotice 公告信息
     * @return 结果
     */
    int updatePoNotice(PoNotice poNotice);

    /**
     * 删除公告信息
     *
     * @param poNoticeId 公告ID
     * @return 结果
     */
    int deletePoNoticeById(Long poNoticeId);

    /**
     * 批量删除公告信息
     *
     * @param poNoticeIds 需要删除的公告ID
     * @return 结果
     */
    int deletePoNoticeByIds(Long[] poNoticeIds);
}
